# syntax=docker/dockerfile:1

FROM docker.io/denoland/deno:latest

WORKDIR /app

# Cache dependencies
COPY deno.json deno.lock ./
RUN deno cache --lock=deno.lock main.ts || true

# Copy source
COPY . .

# Cache all dependencies
RUN deno cache main.ts

EXPOSE 8000

CMD ["run", "-A", "main.ts"]
